Subject: Re: Better diagnostics in mmap.cc
From: Jason Tishler <[email-masked]>
To: Gene Spleen <[email-masked]>
Cc: [email-masked]
Date: Wed, 28 Feb 2001 17:07:48 -0500

Gene,

On Wed, Feb 28, 2001 at 11:13:51AM -0500, Gene Spleen wrote:
> Short history and explanation:
> 
> According to my Makefile, I'm using 1.09
> My purpose of using ipc-daemon is to get postgresql to work
> on NT (4.0).  Unfortunately, fork() is failing trying to remap
> shared memory segments between parent and child.  My guess from
> other experience with shared memory I've had, was to force the
> 3 main shared memory segments of ipc-daemon into a predefined
> memory segment, thus getting around the problem.  Currently, I've
> hard coded these address values, but making this an
> option/environment variable in the future is a good idea.
> BTW, in doing this, I believe I exposed a bug with MapViewOfFile
> in mmap.cc which should now be fixed in the Feb 25 snapshot.

Are you observing the following problem:

    http://www.cygwin.com/ml/cygwin/2001-02/msg00030.html

which has already been solved by Corrina?  Or, something different?

Thanks,
Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corp.               Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple